@ECHO off

ECHO.
ECHO ************************************************************************
ECHO Intel TBT Driver for Windows 10 64bit -WW-
ECHO ************************************************************************
ECHO.

:: BatchGotAdmin
:-------------------------------------
REM  --> Check for permissions
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"

REM --> If error flag set, we do not have admin.
if '%errorlevel%' NEQ '0' (
    echo Requesting administrative privileges...
    goto UACPrompt
) else ( goto gotAdmin )

:UACPrompt
    echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
    echo UAC.ShellExecute "%~s0", "", "", "runas", 1 >> "%temp%\getadmin.vbs"

    "%temp%\getadmin.vbs"
    exit /B

:gotAdmin
    if exist "%temp%\getadmin.vbs" ( del "%temp%\getadmin.vbs" )
    pushd "%CD%"
    CD /D "%~dp0"
:--------------------------------------

cd /d "%~dp0"

::Install four INF file
echo Install TbtHostController Driver
PnpUtil.exe /add-driver .\TbtHostController.inf /install

echo Install TbtHostControllerExtension 
PnpUtil.exe /add-driver .\TbtHostControllerExtension.inf /install

echo Install TbtHostControllerHsaComponent
PnpUtil.exe /add-driver .\TbtHostControllerHsaComponent.inf /install

echo Install TbtHostControllerToastComponent
PnpUtil.exe /add-driver .\TbtHostControllerToastComponent.inf /install

echo Install TbtP2pNdisDrv 
PnpUtil.exe /add-driver .\TbtP2pNdisDrv.inf /install

:Exit
